<?php

/** @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;

$installer->startSetup();

$installer->run("
DROP TABLE IF EXISTS {$this->getTable('mp_blog_posts_products')};
CREATE TABLE {$this->getTable('mp_blog_posts_products')} (
  `post_product_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `post_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`post_product_id`),
  CONSTRAINT `FK_MP_BLOG_POST_PRODUCTS_POST` FOREIGN KEY (`post_id`) REFERENCES `mp_blog_posts` (`post_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_MP_BLOG_POST_PRODUCTS_PRODUCT` FOREIGN KEY (`product_id`) REFERENCES `catalog_product_entity` (`entity_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
");

$installer->endSetup();