<?php

class Custom_Blog_Model_Mysql4_Products extends Mage_Core_Model_Mysql4_Abstract
{
    public function _construct()
    {
        //parent::_construct();
        $this->_init('customblog/products', 'post_product_id');
    }

    public function getProductsPost($postId)
    {
        $select = $this->_getWriteAdapter()->select()
            ->from('mp_blog_posts_products', array('product_id'))
            ->where('post_id = :post_id');
        $bind = array('post_id' => (int)$postId);

        return $this->_getWriteAdapter()->fetchCol($select, $bind);
    }
}